// Package wrapper ...
//
// Description : wrapper ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-04-28 16:59
package wrapper

import (
	"fmt"
	"testing"
)

func TestNewJson(t *testing.T) {
	sourceData := `{"name": "test", "age":18,"company":{"address": "Beijing", "name":"lala"},"index":[1,2,3,4], "deep":[[{"name":"a","age":20},{"name":"c"}], [{"name":"b"},{"name":"d"}]]}`
	instance, iErr := NewJson(sourceData, &Option{XmlName: "ResponseData"})
	fmt.Println(iErr)
	res, err := instance.Marshal("xml")
	fmt.Println(err)
	fmt.Println(string(res))
}
